k3b error 2

Dieses Thema im Forum "Anwendungen" wurde erstellt von tuxlover, 16.03.2007.

  1. #1 tuxlover, 16.03.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    hallo allerseits,

    ich habe versucht k3b-1.0rc7 unter opensuse 10.2 zu kpmpillieren und erhalte dabei folgende fehlermeldung.

    Code:
    grep: /usr/lib/libstdc++.la: No such file or directory
    /usr/bin/sed: can't read /usr/lib/libstdc++.la: No such file or directory
    libtool: link: `/usr/lib/libstdc++.la' is not a valid libtool archive
    make[4]: *** [libk3bmaddecoder.la] Error 1
    make[4]: Leaving directory `/root/install/src/waiting/k3b/k3b-1.0rc7/plugins/decoder/mp3'
    make[3]: *** [all-recursive] Error 1
    make[3]: Leaving directory `/root/install/src/waiting/k3b/k3b-1.0rc7/plugins/decoder'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/root/install/src/waiting/k3b/k3b-1.0rc7/plugins'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/root/install/src/waiting/k3b/k3b-1.0rc7'
    make: *** [all] Error 2
    ich habe sämtlich auf der opensuse dvd enthaltenen devel üpaket und gcc und libstdc++ installiert. wo kann ich die datei libstdc++.la her bekommen bzw. was könnte ein aderer grund für den fehler beim kompilieren sein?

    gruß und schonmal ein großes dankeschön

    tuxlover
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. towo

    towo Haudegen

    Dabei seit:
    16.05.2003
    Beiträge:
    649
    Zustimmungen:
    1
    Ort:
    Pößneck
  4. #3 tuxlover, 16.03.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    ja das ist mal ein hinweis. vielen dank. obwohl mich immer noch interssieren würde wo denn das problem lag.
     
  5. Jabo

    Jabo Aufgabe ohne Minister

    Dabei seit:
    12.10.2006
    Beiträge:
    1.322
    Zustimmungen:
    0
    Ort:
    Hamburg
    Ich vermute da:
    Bei mir:
    Code:
    ~> locate libstdc++.la
    /usr/lib/libstdc++.la
    
    ~> rpm -qf /usr/lib/libstdc++.la
    libstdc++-devel-3.3.4-11
    
    Also libstdc++-devel nicht installiert?

    Sowas müßte sich über YaST auflösen lassen, aber lieber die RPM von Packman nehmen als selber bauen - würde ich zumindest, außer die geht irgend wie nicht.
     
  6. #5 Bâshgob, 16.03.2007
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
  7. #6 tuxlover, 16.03.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    @jaboo

    und das scheint auch nicht das problem zu sein. diese datei scheint es nicht zu geben. auch nicht bei rpmseek.com oder rpm.pbone.net
     
  8. #7 Bâshgob, 16.03.2007
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    gcc-g++ installiert?
     
  9. #8 tuxlover, 16.03.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    wo gibts das paket für opensuse 10.2?
     
  10. #9 gropiuskalle, 16.03.2007
    Zuletzt bearbeitet: 17.03.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Meinst Du nicht vielleicht doch 'gcc-c++'?

    Das gibt's beim oss-Repository von SuSE.

    Edit:@tuxlover: Probiere es doch nochmal mit der source vom gerade erschienenem K3B 1.0 (endlich als 'non-rc-Version' da! :) ), damit klappte das Kompilieren und Paketebauen bei mir ohne Probleme.

    Nochmal edit: Außerdem steht das neue K3B bei 'KDE-Backports' seit praktisch gerade eben in den Regalen.
     
  11. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  12. #10 Bâshgob, 17.03.2007
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    Kann auch g++ heißen, das Päckchen. pin könnte sich wiederum als hilfreich erweisen.
     
  13. #11 tuxlover, 20.03.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    nein das problem muss woanders liegen, weil wie schon gesagt alle entwicklertools und devel paket auf meinem system installiert worden sind.

    ich habe es jetzt erstmal so kompilliert

    Code:
    ./configure --prefix=/opt/kde3 --without-libmad --without-flac
    make
    checkinstall
    cd /usr/src/packages/RPMS/i686 && rpm -Uhv *rpm
    
    das hat funktioniert und danach gab es schon das final release. schätze ohne eigene internetanbindung hängt man immer ein wenig hinterher.
     
Thema:

k3b error 2

Die Seite wird geladen...

k3b error 2 - Ähnliche Themen

  1. postfix - fputs-error

    postfix - fputs-error: Ich hoffe, dass sich wer von euch mit postfix bzw. der Fehlermeldung auskennt. Ich habe nach dem Youtube-Video postfix eingerichtet: [MEDIA] Nun...
  2. journal commit I/O error auf SSD

    journal commit I/O error auf SSD: Hallo zusammen Habe meiner "Sun Ultra 45" (SPARC System) eine 64GB-SSD eingebaut, und dort das OS (Debian 7) installiert. In unregelmässigen...
  3. Kein Sound im Spiel - OpenAL error

    Kein Sound im Spiel - OpenAL error: Ich hab in einem Spiel leider keinen Sound. In der Konsole kommt in einer Endlosschleife immer diese Meldung: OpenAL error: 40964 (Audio_Tick...
  4. syntax error near unexpected token `&'

    syntax error near unexpected token `&': Hallo Ich habe ein Scrip angepasst bzw. erweiter und habe nun an einer Stelle ein Problem. Vor der erweiterung ist es einwandfrei...
  5. Update error für OpenSuse 12.3 für "libsolv-tools-0.3.2-2.14.1"

    Update error für OpenSuse 12.3 für "libsolv-tools-0.3.2-2.14.1": Hallo, ich kann mein OpenSuse 12.3 nicht mehr richtig updaten. beim versuch bekomme ich folgende Meldung: ( 1/23) Installing:...